### Function

# Geglmemset_pattern

#### Declaration [src]

    void
    gegl_memset_pattern (
      gpointer dst_ptr,
      gconstpointer src_ptr,
      gint pattern_size,
      gint count
    )

#### Description [src]

Fill `dst_ptr` with `count` copies of the bytes in `src_ptr`.

This function is not directly available to language bindings.

#### Parameters

`dst_ptr`

  Type: `gpointer`

  Pointer to copy to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`src_ptr`

  Type: `gconstpointer`

  Pointer to copy from.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`pattern_size`

  Type: `gint`

  The length of `src_ptr`.

`count`

  Type: `gint`

  Number of copies.